<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <include
        android:id="@+id/poi_header"
        layout="@layout/poi_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </include>
    <androidx.core.widget.NestedScrollView
        android:id="@+id/nested_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:id="@+id/tv_01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:text="01.基本资料填写"
                    android:textColor="@color/black"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RelativeLayout
                    android:id="@+id/linear_pot"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:background="@drawable/underline"
                    android:padding="2dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="1.0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_01">

                    <TextView
                        android:id="@+id/tv_pot"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:text="点位*"
                        android:textColor="#333" />

                    <CheckBox
                        android:id="@+id/check_pot_life"
                        android:layout_width="50dp"
                        android:layout_height="20dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="20dp"
                        android:layout_toRightOf="@id/tv_pot"
                        android:background="@drawable/selector_change_bg"
                        android:button="@null"
                        android:gravity="center"
                        android:text="编辑"
                        android:textSize="8sp" />

                    <CheckBox
                        android:id="@+id/check_pot_right"
                        android:layout_width="50dp"
                        android:layout_height="20dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="20dp"
                        android:layout_toRightOf="@id/check_pot_life"
                        android:background="@drawable/selector_change_bg"
                        android:button="@null"
                        android:gravity="center"
                        android:text="保存"
                        android:textSize="8sp"
                        android:visibility="gone" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/linear_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:background="@drawable/underline"
                    android:padding="2dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_pot">

                    <TextView
                        android:id="@+id/tv_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:text="名称*"
                        android:textColor="#333" />

                    <EditText
                        android:id="@+id/tv_name_content"
                        android:layout_width="match_parent"
                        android:layout_height="25dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_toStartOf="@id/tv_poi_examine"
                        android:layout_toEndOf="@id/tv_name"
                        android:layout_toRightOf="@id/tv_name"
                        android:background="@color/white"
                        android:hint="poi名称"
                        android:inputType="text"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/test_color_selector"
                        android:textSize="15sp" />
                    <!--             android:textColor="#333" -->
                    <TextView
                        android:id="@+id/tv_poi_examine"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_margin="4dp"
                        android:text="查重"
                        android:textColor="@color/design_default_color_primary" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/linear_site"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:background="@drawable/underline"
                    android:padding="2dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_name">

                    <TextView
                        android:id="@+id/tv_site"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:text="地址"
                        android:textColor="#333" />

                    <EditText
                        android:id="@+id/tv_site_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginRight="10dp"
                        android:layout_toRightOf="@id/tv_site"
                        android:background="@color/white"
                        android:hint="poi地址"
                        android:textColor="@color/test_color_selector"
                        android:textSize="15sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/linear_phone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:background="@drawable/underline"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_site">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler_phone"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_centerInParent="true"
                        android:visibility="gone" />

                    <LinearLayout
                        android:id="@+id/linear_contact"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="vertical"></LinearLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/linear_exist"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:background="@drawable/underline"
                    android:padding="2dp"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_phone">

                    <TextView
                        android:id="@+id/tv_exist"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:text="是否存在*"
                        android:textColor="#333" />

                    <Spinner
                        android:id="@+id/spinner_exist"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="18dp"
                        android:layout_marginRight="10dp"
                        android:layout_toEndOf="@id/tv_exist"
                        android:layout_toRightOf="@id/tv_exist"
                        android:background="@color/white"
                        android:textColor="#333"
                        android:textSize="15sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@drawable/ic_baseline_arrow_drop" />
                </RelativeLayout>

                <TextView
                    android:id="@+id/tv_02"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:text="02.拍照"
                    android:textColor="@color/black"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_exist" />

                <LinearLayout
                    android:id="@+id/linear_photograph"
                    android:layout_width="match_parent"
                    android:layout_height="250dp"
                    android:layout_margin="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:orientation="vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_02">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">

                        <RelativeLayout
                            android:id="@+id/rl_panorama"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="10dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            android:background="@drawable/selector_red_bg">

                            <ImageView
                                android:id="@+id/image_panorama"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="20dp"
                                android:background="@drawable/quanjing" />

                            <TextView
                                android:id="@+id/tv_panorama"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/image_panorama"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="5dp"
                                android:text="*全景图"
                                android:textColor="@color/pickerview_wheelview_textcolor_divider"
                                android:textSize="12sp" />

                            <ImageView
                                android:id="@+id/iv_panorama"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:scaleType="fitXY" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_name"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="10dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            android:background="@drawable/selector_red_bg">

                            <ImageView
                                android:id="@+id/image_name"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="20dp"
                                android:background="@drawable/mingcheng" />

                            <TextView
                                android:id="@+id/tv_poi_name_pic"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/image_name"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="5dp"
                                android:text="*名称"
                                android:textColor="@color/pickerview_wheelview_textcolor_divider"
                                android:textSize="12sp" />

                            <ImageView
                                android:id="@+id/iv_name"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:scaleType="fitXY" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_internal_photos"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="5dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            android:background="@drawable/selector_hui_bg">

                            <ImageView
                                android:id="@+id/image_internal"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="20dp"
                                android:background="@drawable/mingcheng" />

                            <TextView
                                android:id="@+id/tv_internal"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/image_internal"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="5dp"
                                android:text="内部照片"
                                android:textColor="@color/pickerview_wheelview_textcolor_divider"
                                android:textSize="12sp" />

                            <ImageView
                                android:id="@+id/iv_internal"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:scaleType="fitXY" />
                        </RelativeLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">

                        <RelativeLayout
                            android:id="@+id/rl_card"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="10dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            android:background="@drawable/selector_hui_bg">

                            <ImageView
                                android:id="@+id/image_card"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="20dp"
                                android:background="@drawable/mingpian" />

                            <TextView
                                android:id="@+id/tv_card"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/image_card"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="5dp"
                                android:text="名片"
                                android:textColor="@color/pickerview_wheelview_textcolor_divider"
                                android:textSize="12sp" />

                            <ImageView
                                android:id="@+id/iv_card"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:scaleType="fitXY" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_else"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="5dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            android:background="@drawable/selector_hui_bg">

                            <ImageView
                                android:id="@+id/image_else"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="20dp"
                                android:background="@drawable/qita" />

                            <TextView
                                android:id="@+id/tv_else"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/image_else"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="5dp"
                                android:text="其他"
                                android:textColor="@color/pickerview_wheelview_textcolor_divider"
                                android:textSize="12sp" />

                            <ImageView
                                android:id="@+id/iv_else"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:scaleType="fitXY" />
                        </RelativeLayout>

                        <ImageView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="5dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1" />
                    </LinearLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_03"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:text="03.描述"
                    android:textColor="@color/black"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_photograph" />

                <LinearLayout
                    android:id="@+id/linear_describe"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/underline"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_03">

                    <EditText
                        android:id="@+id/edit_describe"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="2dp"
                        android:background="@color/white"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="top"
                        android:hint="任务描述"
                        android:paddingLeft="10dp"
                        android:paddingTop="10dp"
                        android:paddingBottom="30dp"
                        android:textColor="@color/test_color_selector"
                        android:textSize="15sp"


                        />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="20dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_describe">

                    <Button
                        android:id="@+id/btn_save_local"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/selector_red_radius_bg"
                        android:text="保存本地"
                        android:textColor="@color/white" />

                    <Button
                        android:id="@+id/btn_uploading"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/shape_transparent_pink_radius_bg"
                        android:text="上传" />
                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


</LinearLayout>